## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Most of the tests require network access and many depend on a coretestserver
# module that is bundled in the package. Will figure this out later.
%bcond_with     tests

%global         srcname     azure-core

Name:           python-%{srcname}
Version:        1.21.1
Release:        %autorelease
Summary:        Azure Core shared client library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

Epoch:          2

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(flask)
BuildRequires:  python3dist(msrest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
BuildRequires:  python3dist(trio)
%endif

%global _description %{expand:
Azure Core shared client library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest --disable-warnings tests
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Wed May 11 2022 Major Hayden <major@mhtx.net> 2:1.21.1-3
- Fix azure-sdk-tools BuildRequires

* Wed May 11 2022 Major Hayden <major@mhtx.net> 2:1.21.1-1
- Downgrade to 1.21.1

* Fri May 06 2022 Major Hayden <major@mhtx.net> 1:1.24.0-1
- 🚀 Update to 1.24.0

* Mon Apr 25 2022 Major Hayden <major@mhtx.net> 1:1.21.1-4
- Disable tests due to network connectivity limitations

* Mon Apr 25 2022 Major Hayden <major@mhtx.net> 1:1.21.1-3
- Disable tests in EPEL due to missing backports

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:1.21.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> 1:1.21.1-1
- Update to 1.21.1

* Tue Nov 09 2021 Major Hayden <major@mhtx.net> 1:1.19.0-3
- Skip flaky emoji test

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 1:1.19.0-2
- Clean up nspkg

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> 1:1.19.0-1
- Update to 1.19.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:1.13.0-5
- Move obsoletes into subpackage

* Tue Aug 03 2021 Major Hayden <major@mhtx.net> 1:1.13.0-4
- Run non-network tests

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> 1:1.13.0-3
- Add provides for azure-nspkg

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:1.13.0-2
- Add epoch number for downgrade to 1.13.0

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:1.13.0-1
- Add epoch for downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1.13.0-1
- Revert to 1.13.0

* Sun Jul 18 2021 Major Hayden <major@mhtx.net> 1.16.0-2
- Use python3 instead of macro

* Mon Jul 12 2021 Major Hayden <major@mhtx.net> 1.16.0-1
- Update to 1.16.0

* Fri Jun 18 2021 Major Hayden <major@mhtx.net> 1.15.0-1
- Initial import (#1970073)
